Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.win32service
Class Win32Service

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.win32service.Win32Service

All Implemented Interfaces:
  java.lang.Runnable, LifeCycle

    public class Win32Service

extends AbstractLifeCycle
implements java.lang.Runnable

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`Win32Service()`

Method Summary
`void` | `doStart()`
`void` | `doStop()`
`Server` | `getServer()`
`void` | `run()`
`void` | `setServer(Server server)`
`void` | `stopServer()`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Win32Service

    public Win32Service()

Method Detail

### doStart

    public void doStart()

  Overrides:
    `doStart` in class `AbstractLifeCycle`

### doStop

    public void doStop()

  Overrides:
    `doStop` in class `AbstractLifeCycle`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### stopServer

    public void stopServer()

### getServer

    public Server getServer()

### setServer

    public void setServer(Server server)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.